Versionsverlauf
=============================================

## [Noch nicht veröffentlicht]

- aktuell keine Änderungen

## [Version 3.0.1]

- Korrektur Abhängigkeit von de.bsvrz.iav:de.bsvrz.iav.gllib:4.0.0' (war vorher 4.0.0-SNAPSHOT)

## [Version 3.0.0]

Das Ganglinienlernen wurde für die neue Ganglinien-Bibliothek (Version 4) angepasst.

Insbesondere wurden folgende Änderungen vorgenommen:

- Der Zugriff auf die Ganglinien-Datenbank erfolgt nicht mehr über eine Server-Instanz.
  Stattdessen wird die Ganglinien-Datenbank über die Abfrageschnittstelle des 
  Datenverteilers genutzt und damit implizit die in der Ganglinienprognose eingebettete 
  Datenbank angefragt.
  Die Startoptionen für die Datenbankverbindung können daher entfallen.
- die Abhängigkeit zur Funktionsbibliothek "de.bsvrz.sys.funclib.bitctrl" wurde eliminiert.

## [2.3.2]

- NERZ: Umstellung auf Gradle, Build durch FTB und Bereitstellung auf NERZ-Repositories

## Version 2.3.1

- Bugfix: Wenn die maximale Anzahl von Ganglinien für einen Ereignistyp überschritten wurde, 
  wurde die global älteste Ganglinie (ohne Berücksichtigung des Ereignistyps) für den 
  Messquerschnitt entfernt.

## Version 2.3.0

- Umstellung auf Java 8 und UTF-8

## Version 2.2.0
  - Umstellung auf Maven-Build

## Version 2.1.4

- die Abfrage der absoluten Ganglinie zu einer relativen Ganglinie konnte unter bestimmten
  Umständen eine relative Ganglinie liefern
- die Abfrage der absoluten Ganglinie zur einer relativen Ganglinie hat keine geliefert, 
  wenn die Liste der Bezugsganglinien leer ist (in diesem Fall sollten aber alle betrachtet 
  werden!)

## Version 2.1.3

- Mantis #2362: Verbesserung für verwaltete Betriebsmeldungen
  Die Applikationskennung wird beim Start überschrieben mit
  {Main-Klasse}_{Applikations-ID}, damit sie nicht mehr zu lang wird.

## Version 2.1.2

- Bugfix Mantis #1628: Parameter für max. Anzahl Ganglinien wird scheinbar
  nicht beachtet

## Version 2.1.1

- Loggausgaben beim Unit-Test werden wieder angezeigt.
- Überarbeitung der JUnit-Tests damit sie nach DAF-Upgrade wieder wie gewohnt
  funktionieren.

## Version 2.1.0

- Betriebsmeldungen um Systemobjekt in ID ergänzen, wenn sinnvoll.
  (Mantis #2090)
- Quelltext kompatibler mit Java 6 gemacht.

## Version 2.0.0

- Umstellung der Ganglinienspeicherung von der Behandlung als Parameter (atg.ganglinie)
  auf eine separate Speicherung in einer Derby DB.
- Verringerung der Stützstellenanzahl. Es ist Pro Approximationsverfahren per Kommdozeilenparameter
  einstellbar, welcher Aspekt von atg.verkehrsDatenKurzMq verwendet werden soll.
- Vermeidung von Datenlücken. Die Verschmelzungsregeln des Ganglinienlernens wurde derart 
  geändert:
    Alt: (Datenlücke + keine Datenlücke = Datenlücke),
    Neu: (Datenlücke + keine Datenlücke = keine Datenlücke)

## Version 1.3.0

- Betriebsinformation und Prüfprozedur liegen jetzt im Zustand "akzeptiert" vor.

## Version 1.2.1

- Betriebsinformation aktualisiert.
- Beispielstartskripte überarbeitet.

## Version 1.2.0

- Anpassung an überarbeitetet Funktionsbibliothek de.bsvrz.sys.funclib.bitctrl
- Prüfprozedur und Prüfprotokoll in Release aufgenommen
- Betriebsinformation in Release aufgenommen

## Version 1.1.0

- Anpassung an neue Paketstruktur der Kernsoftware.

## Version 1.0.0

- Erste Auslieferung

[Noch nicht veröffentlicht]: https://gitlab.nerz-ev.de/ERZ/SWE_de.bsvrz.iav.gllernen/compare/v3.0.1...HEAD
[3.0.1]: https://gitlab.nerz-ev.de/ERZ/SWE_de.bsvrz.iav.gllernen/compare/v3.0.0...v3.0.1
[3.0.0]: https://gitlab.nerz-ev.de/ERZ/SWE_de.bsvrz.iav.gllernen/compare/v2.3.1...v3.0.0
[2.3.2]: https://gitlab.nerz-ev.de/ERZ/SWE_de.bsvrz.iav.gllernen/compare/v2.3.1...v2.3.2
